// 
// このコードは、https://demo.mescius.jp/diodocs/pdf のサンプルの一部として提供されています。
// © MESCIUS inc. All rights reserved.
// 
using System;
using System.IO;
using System.Drawing;
using GrapeCity.Documents.Pdf;
using GrapeCity.Documents.Text;

namespace DsPdfWeb.Demos
{
    // このサンプルでは、任意の既存 PDF をリニアライズする方法を紹介しています。
    public class MakeLinearized
    {
        public int CreatePDF(Stream stream)
        {
            // 任意のリニアライズされていない PDF を読み込みます。
            using var fs = File.OpenRead(Path.Combine("Resources", "PDFs", "CompleteJavaScriptBook.pdf"));
            var doc = new GcPdfDocument();
            doc.Load(fs);

            // PDF をリニアライズして保存します。
            doc.Save(stream, SaveMode.Linearized);

            // PDF ドキュメントを保存します。
            return doc.Pages.Count;
        }
    }
}
